
# Interface: ISliderConfig

## Hierarchy

* [AdvancedISliderConfig](advancedisliderconfig.md)

  ↳ **ISliderConfig**

## Index

### Properties

* [columns](isliderconfig.md#optional-columns)
* [direction](isliderconfig.md#direction)
* [images](isliderconfig.md#images)
* [increment](isliderconfig.md#optional-increment)
* [lightbox](isliderconfig.md#lightbox)
* [listPage](isliderconfig.md#listpage)
* [quantity](isliderconfig.md#quantity)
* [rows](isliderconfig.md#optional-rows)

## Properties

### `Optional` columns

• **columns**? : *number*

*Inherited from [AdvancedISliderConfig](advancedisliderconfig.md).[columns](advancedisliderconfig.md#optional-columns)*

___

###  direction

• **direction**: *[Direction](../enums/direction.md)*

___

###  images

• **images**: *Array‹[IImagesSlider](iimagesslider.md)›*

___

### `Optional` increment

• **increment**? : *number*

*Inherited from [AdvancedISliderConfig](advancedisliderconfig.md).[increment](advancedisliderconfig.md#optional-increment)*

___

###  lightbox

• **lightbox**: *boolean*

___

###  listPage

• **listPage**: *boolean*

___

###  quantity

• **quantity**: *number*

___

### `Optional` rows

• **rows**? : *number*

*Inherited from [AdvancedISliderConfig](advancedisliderconfig.md).[rows](advancedisliderconfig.md#optional-rows)*
